### Constructor

# Gsk IsolationNode new

since: 4.22

#### Declaration [src]

    GskRenderNode*
    gsk_isolation_node_new (
      GskRenderNode* child,
      GskIsolation isolations
    )

#### Description [src]

Creates a `GskRenderNode` that isolates the drawing operations of the child from surrounding ones.

You can express “everything but these flags” in a forward compatible way by using bit math: `GSK_ISOLATION_ALL & ~(GSK_ISOLATION_BACKGROUND | GSK_ISOLATION_COPY_PASTE)` will isolate everything but background and copy/paste.

For the available isolations, see `GskIsolation`.

Available since: 4.22

#### Parameters

`child`

  Type: `GskRenderNode`

  The child.

  The data is owned by the caller of the function.

`isolations`

  Type: `GskIsolation`

  Features to isolate.

#### Return value

Type: `GskIsolationNode`

A new `GskRenderNode`.

The caller of the function takes ownership of the data, and is responsible for freeing it.